package cn.com.poc.data_analyze.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.data_analyze.entity.BizDataAnalyzeCollectEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizDataAnalyzeCollectService extends BaseService {

    BizDataAnalyzeCollectEntity get(java.lang.Long id) throws Exception;

    List<BizDataAnalyzeCollectEntity> findByExample(BizDataAnalyzeCollectEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizDataAnalyzeCollectEntity save(BizDataAnalyzeCollectEntity entity) throws Exception;

    BizDataAnalyzeCollectEntity update(BizDataAnalyzeCollectEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;
    
}